Subject: Re: bug#79323: 30.2; Control-X-prefix not remapable

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Aug 2025 22:15:02 +0300

> Cc: Linn Stanton <[email-masked]>
> Date: Wed, 27 Aug 2025 13:01:36 -0400
> From:  Linn Stanton via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Updating from emacs-29 to emacs-30, I am no longer able to use C-x as a
> non-prefix key. I have always hated the C-x prefix, as I use C-x for
> next-line. I am still able to set C-] as my Control-X-prefix, but I can
> no longer get C-x mapped to 'next-line. I had been using define-key with
> a custom overriding-local-map, but that is no longer working

Please show the code that worked for you in Emacs 29, but does not
work in Emacs 30.2.

Thanks.